IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_webservice]') AND type = 'U')
CREATE TABLE [dbo].[pub_webservice]
(
    [svc_name] nvarchar(50) COLLATE Chinese_PRC_CI_AS NOT NULL DEFAULT(''),
    [svc_cmpid] int NOT NULL DEFAULT((0)),
    [svc_url] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_method] nvarchar(2000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_paramtype] nvarchar(1000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_resulttype] nvarchar(1000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_note] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_language] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT('default'),
    [svc_extsql] nvarchar(2000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_displayflds] varchar(500) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_resultfld] varchar(500) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_nextexecute] datetime NULL DEFAULT(((1900)-(1))-(1)),
    [svc_cycle] varchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT((0)),
    [svc_account] int NULL DEFAULT((-1)),
    [svc_requesttype] varchar(256) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_type] varchar(64) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_id] int NOT NULL IDENTITY(1, 1),
    [svc_bizid] int NULL DEFAULT((0)),
    [svc_biztype] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_bizparams] nvarchar(2000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [svc_prevsql] nvarchar(max) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    CONSTRAINT [PK_pub_webservice] PRIMARY KEY ([svc_name] ASC)
    CONSTRAINT [PK_pub_webservice] PRIMARY KEY ([svc_cmpid] ASC)
)